Gda.SqlExpr – Gda-6.0 Reference Manual

# SqlExpr

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_expr_get_type ()" ) ]
[ Compact ]
public class SqlExpr
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlExpr (SqlAnyPart parent)

### Methods:

- public SqlExpr copy ()
- public void free ()
- public string serialize ()
- public void take_select (SqlStatement stmt)

### Fields:

- public unowned SqlAnyPart any
- public unowned SqlCase case_s
- public unowned string cast_as
- public unowned SqlOperation cond
- public unowned SqlFunction func
- public unowned SqlParamSpec param_spec
- public unowned SqlAnyPart select
- public Value value
- public bool value_is_ident